# LocalWhisper

Making OpenAPI's Open Whisper available via ReST API locally.

## Features
- [x] Transcription
- [ ] Translation (Not-planned, but open to PRs)

## Usage Example

Similar to the OpenAI API we can post an audio file to `/audio/transcriptions` as a `multipart/form-data` type.

```
curl --request POST \
  --url http://localhost:9000/audio/transcriptions \
  --header 'Content-Type: multipart/form-data' \
  --header 'Accept: application/json' \
  --form 'file=@/path/to/file/example.wav;type=audio/wav'
  --form 'model=whisper-1'
```

At present the `model` form field is not required or supported. The `WHISPER_BASE_ASR_MODEL` server configuration will be used to determine the Whisper model to use.
